Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.lowbalancepoll
Class EPPLowBalancePollResponse

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.lowbalancepoll.EPPLowBalancePollResponse

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPLowBalancePollResponse

extends EPPResponse

A concrete EPPResponse that knows how to encode/decode LowBalance Poll responses from/to XML and object instance.

Title: EPP 1.0 LowBalance

Description: LowBalance Poll Mapping for the EPP SDK

Copyright: Copyright (c) 2004

Company: VeriSign

Version:
  1.0
Author:
  majain
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_AVAILABLE_CREDIT` The availableCredit XML tag name
`static java.lang.String` | `ELM_CREDIT_LIMIT` The creditLimit XML tag name
`static java.lang.String` | `ELM_NAME` The poll data XML tag name
`static java.lang.String` | `ELM_REGISTRAR_NAME` The registrarName XML tag name

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPLowBalancePollResponse()` Create a new instance of EPPLowBalancePollResponse

Method Summary
`java.lang.Object` | `clone()` Clone `EPPLowBalancePollResponse`.
`void` | `doDecode(org.w3c.dom.Element aElement)` Populates the data of this instance from the given XML Element which is part of a DOM Document
`org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Put all data contained in this poll resonse into the given XML document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLowBalancePollResponse` compare.
`java.lang.String` | `getAvailableCredit()`
`java.lang.String` | `getCreditLimit()`
`EPPLowBalancePollThreshold` | `getCreditThreshold()`
`java.lang.String` | `getRegistrarName()`
`void` | `setAvailableCredit(java.lang.String availableCredit)`
`void` | `setCreditLimit(java.lang.String creditLimit)`
`void` | `setCreditThreshold(EPPLowBalancePollThreshold aCreditThreshold)`
`void` | `setRegistrarName(java.lang.String registrarName)`

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getNamespace, getQDate, getResult, getResults, getTransId, getType, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  The poll data XML tag name

  See Also:
    Constant Field Values

### ELM_REGISTRAR_NAME

    public static final java.lang.String ELM_REGISTRAR_NAME

  The registrarName XML tag name

  See Also:
    Constant Field Values

### ELM_CREDIT_LIMIT

    public static final java.lang.String ELM_CREDIT_LIMIT

  The creditLimit XML tag name

  See Also:
    Constant Field Values

### ELM_AVAILABLE_CREDIT

    public static final java.lang.String ELM_AVAILABLE_CREDIT

  The availableCredit XML tag name

  See Also:
    Constant Field Values

Constructor Detail

### EPPLowBalancePollResponse

    public EPPLowBalancePollResponse()

  Create a new instance of EPPLowBalancePollResponse

Method Detail

### doEncode

    public org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                 throws EPPEncodeException

  Put all data contained in this poll resonse into the given XML document

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - the DOM Document to attach data to.
  Returns:
    the element that is a parent of the poll data
  Throws:
    `EPPEncodeException` - Thrown if any errors occur during the encode process

### doDecode

    public void doDecode(org.w3c.dom.Element aElement)
                  throws EPPDecodeException

  Populates the data of this instance from the given XML Element which is part of a DOM Document

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - the element that is a parent of the poll data
  Throws:
    `EPPDecodeException` - thrown if any errors occur during the decode operation

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLowBalancePollResponse` compare.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - `EPPLowBalancePollResponse` instance to compare with
  Returns:
    true if equal false otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLowBalancePollResponse`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPLowBalancePollResponse`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getRegistrarName

    public java.lang.String getRegistrarName()

### setRegistrarName

    public void setRegistrarName(java.lang.String registrarName)

### getCreditLimit

    public java.lang.String getCreditLimit()

### setCreditLimit

    public void setCreditLimit(java.lang.String creditLimit)

### getCreditThreshold

    public EPPLowBalancePollThreshold getCreditThreshold()

### setCreditThreshold

    public void setCreditThreshold(EPPLowBalancePollThreshold aCreditThreshold)

### getAvailableCredit

    public java.lang.String getAvailableCredit()

### setAvailableCredit

    public void setAvailableCredit(java.lang.String availableCredit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.